'' SEETRON BPP-420 Demo
'' -- translated from SEETRON BPP-420 demo (for BS2) by Jon Williams
'' -- baud is specified as positive; inverted output is handled by BPP-420 object


CON

  _clkmode  = xtal1 + pll16x                            ' use crystal x 16
  _xinfreq  = 5_000_000

  LCD_PIN   = 0
  LCD_BAUD  = 9600
  LCD_LINES = 4                                         ' for compatibility with Serial_Lcd object

  WEDGE     = 128
  

OBJ

  lcd : "bpp-420"
  num : "simple_numbers"


PUB main | idx

  waitcnt(clkfreq + cnt)                                ' pause one second for LCD initialization
  if lcd.start(LCD_PIN, LCD_BAUD, LCD_LINES)            ' ouput on A1 @ 9600 baud
    lcd.cls
    repeat idx from 0 to 79                             ' fill LCD with wedge character
      lcd.putc(WEDGE)
    waitcnt(clkfreq + cnt)                              ' wait one second
    
    lcd.gotoxy(4, 0)
    repeat idx from 1 to 12
      waitcnt(clkfreq / 4 + cnt)
      lcd.str(string(lcd#LCD_CLR_COL, lcd#LCD_BELL))

    lcd.str(string(lcd#LCD_CRSR_ULINE, lcd#LCD_CRSR_POS, 90, "4x20 LCD"))
    waitcnt(clkfreq + cnt)
    
    repeat idx from 1 to 8
      waitcnt(clkfreq / 10 + cnt)
      lcd.str(string(lcd#LCD_BKSPC, lcd#LCD_BELL))
      
    lcd.cursor(0)                                       ' cursor off
    
    repeat idx from 0 to 99
      lcd.str(string(lcd#LCD_CRSR_POS, 70, lcd#LCD_BIG_ON))
      lcd.str(num.decx(idx, 2))
      waitcnt(clkfreq / 2 + cnt)
      